import { Model, TwoDraw } from "ts-agent";
export default class Animator {
    timeoutID: any;
    fps: number;
    steps: number;
    ticks: number;
    stats: any;
    constructor(model: Model, twoDraw: TwoDraw, steps?: number, fps?: number);
    start(): this;
    stop(): this;
    step(): this;
    fcn(): void;
    isRunning(): boolean;
    reset(steps?: number, fps?: number): void;
    toggle(): void;
    once(): void;
}
